Summary:	Real-time packet viewer
Summary(pl.UTF-8):	Przeglądarka pakietów trybu rzeczywistego
Name:		pktstat
Version:	1.8.5
Release:	2
License:	BSD
Group:		Applications/Networking
Source0:	http://www.adaptive-enterprises.com.au/~d/software/pktstat/%{name}-%{version}.tar.gz
# Source0-md5:	0f387f86567eb3da1c329f7b182c3355
URL:		http://www.adaptive-enterprises.com.au/~d/software/pktstat/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Display a real-time list of active connections seen on a network
interface, and how much bandwidth is being used by what. Partially
decodes HTTP and FTP protocols to show what filename is being
transferred. X11 application names are also shown. Entries hang around
on the screen for a few seconds so you can see what just happened.
Also accepts filter expressions a'la tcpdump.

%description -l pl.UTF-8
Ten program yświetla na żywo listę połączeń widocznych na interfejsie
sieciowym, wraz z informacją, co zajmuje pasmo. W szczególności
dekoduje protokoły HTTP oraz FTP, pokazując nazwę przesyłanego pliku.
Nazwy aplikacji X11 również są pokazywane. Pozycje wyświetlane są
przez kilka sekund, aby można było zobaczyć co się dzieje. Przyjmuje
filtry w składni podobnej do tcpdumpa.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%{__make} %{name} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	CPPFLAGS=-I/usr/include/ncurses

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/pktstat
%{_mandir}/man1/pktstat.1*
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pktstat.git;a=log;h=master

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> fbf865f
- release 2 (by relup.sh)

* Sat Apr 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 00fab9f
- updated to 1.8.5

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> caf74e8
- release 3

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> c927948
- release 2

* Sun Jan 04 2009 duddits <duddits@pld-linux.org> adceab7
- up to 1.8.4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 848dc6c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bda76dc
- converted to UTF-8

* Thu Mar 09 2006 Jakub Bogusz <qboosh@pld-linux.org> f47203e
- BR: ac,am,lt

* Wed Mar 08 2006 maciek2w <maciek2w@pld-linux.org> 1feb4d3
- updated to 1.8.1

* Fri Jan 27 2006 Tomasz Pala <gotar@pld-linux.org> 1c95658
- upgraded to 1.7.5

* Sun Jan 01 2006 darekr <darekr@pld-linux.org> b7f4fb8
- pass CC

* Sun Jan 01 2006 Tomasz Pala <gotar@pld-linux.org> f11c5d9
- initial PLD release

